Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.net.remoting
Class DSRemotingClient

    java.lang.Object
      org.red5.server.net.remoting.RemotingClient
          org.red5.server.net.remoting.DSRemotingClient

All Implemented Interfaces:
  InitializingBean

    public class DSRemotingClient

extends RemotingClient

Client interface for remoting calls directed at an LCDS or BlazeDS style service.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Nested Class Summary

Nested classes/interfaces inherited from class org.red5.server.net.remoting.RemotingClient
`RemotingClient.RemotingWorker`

Field Summary
`protected static Logger` | `log`

Fields inherited from class org.red5.server.net.remoting.RemotingClient
`appendToUrl, client, connectionMgr, CONTENT_TYPE, DEFAULT_TIMEOUT, executor, headers, poolSize, url`

Constructor Summary
`DSRemotingClient()` Dummy constructor used by the spring configuration.
`DSRemotingClient(String url)` Create new remoting client for the given url.

Method Summary
`String` | `getDataSourceId()`
`Object` | `invokeMethod(String method, Object[] params)` Invoke a method synchronously on the remoting server.
`static void` | `main(String[] args)`
`protected void` | `processHeaders(IoBuffer in)` Process any headers sent in the response.
`void` | `setDataSourceId(String dataSourceId)`

Methods inherited from class org.red5.server.net.remoting.RemotingClient
`addHeader, afterPropertiesSet, getPoolSize, invokeMethod, removeHeader, resetCredentials, setCredentials, setPoolSize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

Constructor Detail

### DSRemotingClient

    public DSRemotingClient()

  Dummy constructor used by the spring configuration.

### DSRemotingClient

    public DSRemotingClient(String url)

  Create new remoting client for the given url.

  Parameters:
    `url` - URL to connect to

Method Detail

### getDataSourceId

    public String getDataSourceId()

### setDataSourceId

    public void setDataSourceId(String dataSourceId)

### processHeaders

    protected void processHeaders(IoBuffer in)

  Process any headers sent in the response.

  Overrides:
    `processHeaders` in class `RemotingClient`
  Parameters:
    `in` - Byte buffer with response data

### invokeMethod

    public Object invokeMethod(String method,
                               Object[] params)

  Invoke a method synchronously on the remoting server.

  Overrides:
    `invokeMethod` in class `RemotingClient`
  Parameters:
    `method` - Method name
    `params` - Parameters passed to method
  Returns:
    the result of the method call

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project